<div class="contentRightB">
    <div class="contentFull left filler-bottom-end-p">

        <div class="content-holder">
            <h3>{{"Economic.Market.TitleJobs" | translate }}</h3>
            <div class="marketplaceView filler-bottom-dd">
                <ul class="dd smaller">
                    <li>
                        <nz-select style="width: 100%;" nzAllowClear nzPlaceHolder="Select country" nzShowSearch
                            [nzCustomTemplate]="custom" [(ngModel)]="selectedCountryId"
                            (ngModelChange)="countrySelected($event)">
                            <nz-option *ngFor="let item of countries" nzCustomContent [nzLabel]="item.name"
                                [nzValue]="item.id">
                                <img src="{{hostUrl}}/{{item.flagLocation[0]}}" /> {{item.name}} </nz-option>
                        </nz-select>
                        <ng-template #custom>
                            <span><img src="{{hostUrl}}/{{selectedCountry.flagLocation[0]}}" /> {{selectedCountry.name}}
                            </span>
                        </ng-template>
                    </li>
                    <li>
                        <nz-select style="width: 100%;" nzPlaceHolder="Select skill" [nzCustomTemplate]="custom4"
                            nzShowSearch [(ngModel)]="selectedSkillTypeId" (ngModelChange)="skillTypeSelected($event)">
                            <nz-option *ngFor="let item of skills" nzCustomContent [nzLabel]="item.toString()"
                                [nzValue]="item.id">
                                <img *ngIf="item?.icon != ''" style="width: 15px;" src="{{hostUrl}}/{{item?.icon}}" />
                                {{item?.name | translate }}
                            </nz-option>
                        </nz-select>
                        <ng-template #custom4>
                            <span><img *ngIf="selectedSkillType?.icon != ''" style="width: 15px;"
                                    src="{{hostUrl}}/{{selectedSkillType?.icon}}" />
                                {{selectedSkillType?.name | translate}}
                            </span>
                        </ng-template>
                    </li>
                    <li>
                        <nz-select style="width: 100%;" nzPlaceHolder="Select quality" [nzCustomTemplate]="custom2"
                            nzShowSearch [(ngModel)]="selectedQuality" (ngModelChange)="loadOffers()">
                            <nz-option *ngFor="let item of [0,1,2,3,4,5]" nzCustomContent [nzLabel]="item.toString()"
                                [nzValue]="item">
                                <span *ngIf="item > 0">
                                    <span class="gold" *ngFor="let i of item | q">&#9733;</span>
                                </span>
                                <span *ngIf="item == 0">
                                    <span>All qualities</span>
                                </span>
                            </nz-option>
                        </nz-select>
                        <ng-template #custom2>
                            <span *ngIf="selectedQuality > 0">
                                <span class="gold" *ngFor="let i of selectedQuality | q">&#9733;</span>
                            </span>
                            <span *ngIf="selectedQuality == 0">
                                <span>All qualities</span>
                            </span>
                        </ng-template>
                    </li>
                    <li>
                        <nz-select style="width: 100%;" nzPlaceHolder="Select skill level" [nzCustomTemplate]="custom3"
                            nzShowSearch [(ngModel)]="selectedSkillLevel" (ngModelChange)="loadOffers()">
                            <nz-option *ngFor="let item of [15,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14]" nzCustomContent
                                [nzLabel]="item.toString()" [nzValue]="item">
                                <span *ngIf="item == 15">
                                    <span>All levels</span>
                                </span>
                                <span *ngIf="item >= 0 && item <= 14">
                                    {{item}}.00 - {{item}}.99
                                </span>

                            </nz-option>
                        </nz-select>
                        <ng-template #custom3>
                            <span *ngIf="selectedSkillLevel >= 0 && selectedSkillLevel <= 14">
                                {{selectedSkillLevel}}.00 - {{selectedSkillLevel}}.99
                            </span>
                            <span *ngIf="selectedSkillLevel == 15">
                                <span>All levels</span>
                            </span>
                        </ng-template>
                    </li>
                </ul>

            </div>

            <div class="marketplaceView filler-bottom">
                <nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
                    <table *ngIf="offers.length > 0" class="marketJobs tableColor smaller">
                        <thead>
                            <tr>
                                <th>{{"Miscellaneous.Citizen.Company" | translate }}</th>
                                <th></th>
                                <th>{{"Economic.Market.Industry" | translate }}</th>
                                <th>{{"Economic.Market.Quality" | translate }}</th>
                                <th>{{"Economic.Market.Skill" | translate }}</th>
                                <th>{{"Economic.Market.Salary" | translate }}</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr *ngFor="let item of offers">
                                <td>
                                    <a href="{{hostUrl}}/company/{{item.company.entityId}}" target="_blank">
                                        <img src="{{hostUrl}}/{{item.company.avatarLocation}}">
                                    </a>
                                </td>
                                <td>
                                    <a href="{{hostUrl}}/company/{{item.company.entityId}}"
                                        target="_blank">{{item.company.name}}</a>
                                </td>
                                <td>
                                    <img src="{{hostUrl}}/assets/img/ico/eco/prod/{{item.industryName}}.png"
                                        style="width: 35px; height: 35px;">
                                </td>
                                <td>
                                    <span class="gold" *ngFor="let i of item.quality | q">&#9733;</span>
                                </td>
                                <td>
                                    {{item.minSkill}}
                                </td>
                                <td>
                                    {{item.salary}}
                                </td>
                                <td>
                                    <input *ngIf="item.canAccept" class="addButton blButton small" type="button"
                                        value="Apply" (click)="acceptOffer(item.id)" style="border:none;">
                                </td>
                            </tr>
                        </tbody>
                    </table>
                    <p *ngIf="offers.length == 0" class="small">No job offers.</p>
                </nz-spin>
            </div>

        </div>
    </div>
</div>
<div class="clear"></div>